org.jboss.jca.common.metadata.ds

## Class DsPoolImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.PoolImpl
  - - org.jboss.jca.common.metadata.ds.DsPoolImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Pool, org.jboss.jca.common.api.metadata.ds.DsPool, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata

      public class DsPoolImpl
      extends PoolImpl
      implements org.jboss.jca.common.api.metadata.ds.DsPool

  A pool implementation
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.ds.DsPool

      `org.jboss.jca.common.api.metadata.ds.DsPool.Tag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Boolean` | `allowMultipleUsers` allow-multiple-users
    `protected org.jboss.jca.common.api.metadata.common.Extension` | `connectionListener` connection-listener

    - ### Fields inherited from class org.jboss.jca.common.metadata.common.PoolImpl

      `capacity, fair, flushStrategy, initialPoolSize, maxPoolSize, minPoolSize, prefill, useStrictMin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DsPoolImpl(java.lang.Integer minPoolSize, java.lang.Integer initialPoolSize, java.lang.Integer maxPoolSize, java.lang.Boolean prefill, java.lang.Boolean useStrictMin, org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy, java.lang.Boolean allowMultipleUsers, org.jboss.jca.common.api.metadata.common.Capacity capacity, java.lang.Boolean fair, org.jboss.jca.common.api.metadata.common.Extension connectionListener)` Create a new PoolImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `org.jboss.jca.common.api.metadata.common.Extension` | `getConnectionListener()` Get the connection listener
    `int` | `hashCode()`
    `java.lang.Boolean` | `isAllowMultipleUsers()` Are multiple users allowed to create connections
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.PoolImpl

      `getCapacity, getFlushStrategy, getInitialPoolSize, getMaxPoolSize, getMinPoolSize, isFair, isPrefill, isUseStrictMin, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.common.Pool

      `getCapacity, getFlushStrategy, getInitialPoolSize, getMaxPoolSize, getMinPoolSize, isFair, isPrefill, isUseStrictMin`

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Field Detail

    - #### allowMultipleUsers

          protected java.lang.Boolean allowMultipleUsers

      allow-multiple-users

    - #### connectionListener

          protected org.jboss.jca.common.api.metadata.common.Extension connectionListener

      connection-listener

  - ### Constructor Detail

    - #### DsPoolImpl

          public DsPoolImpl(java.lang.Integer minPoolSize,
                            java.lang.Integer initialPoolSize,
                            java.lang.Integer maxPoolSize,
                            java.lang.Boolean prefill,
                            java.lang.Boolean useStrictMin,
                            org.jboss.jca.common.api.metadata.common.FlushStrategy flushStrategy,
                            java.lang.Boolean allowMultipleUsers,
                            org.jboss.jca.common.api.metadata.common.Capacity capacity,
                            java.lang.Boolean fair,
                            org.jboss.jca.common.api.metadata.common.Extension connectionListener)
                     throws org.jboss.jca.common.api.validator.ValidateException

      Create a new PoolImpl.
      Parameters:
        `minPoolSize` - minPoolSize
        `initialPoolSize` - initialPoolSize
        `maxPoolSize` - maxPoolSize
        `prefill` - prefill
        `useStrictMin` - useStrictMin
        `flushStrategy` - flushStrategy
        `allowMultipleUsers` - allowMultipleUsers
        `capacity` - capacity
        `fair` - fair
        `connectionListener` - connectionListener
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### isAllowMultipleUsers

          public java.lang.Boolean isAllowMultipleUsers()

      Are multiple users allowed to create connections
      Specified by:
        `isAllowMultipleUsers` in interface `org.jboss.jca.common.api.metadata.ds.DsPool`
      Returns:
        True, if multiple users are supported, otherwise false

    - #### getConnectionListener

          public org.jboss.jca.common.api.metadata.common.Extension getConnectionListener()

      Get the connection listener
      Specified by:
        `getConnectionListener` in interface `org.jboss.jca.common.api.metadata.ds.DsPool`
      Returns:
        The value

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `PoolImpl`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `PoolImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PoolImpl`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)